%define module	hyperlink

Name:		python-%{module}
Version:	21.0.0
Release:	%mkrel 4
Summary:	A featureful, correct URL for Python
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/hyperlink/
Source0:	%{pypi_source %{module}}
BuildArch:	noarch

%description
Hyperlink is a featureful, pure-Python implementation of the URL,
with an emphasis on correctness.

%package -n	python3-%{module}
Summary:	A featureful, correct URL for Python 3
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Hyperlink is a featureful, pure-Python 3 implementation of the URL,
with an emphasis on correctness.

%prep
%setup -qn %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf src/*.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 21.0.0-4.mga9
+ Revision: 1822205
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 21.0.0-3.mga9
+ Revision: 1772182
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 21.0.0-2.mga9
+ Revision: 1702547
- rebuild for python 3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 21.0.0-1.mga9
+ Revision: 1691698
- new version: 21.0.0

* Fri Nov 20 2020 daviddavid <daviddavid> 20.0.1-1.mga8
+ Revision: 1647924
- new version: 20.0.1

* Sun Feb 16 2020 umeabot <umeabot> 19.0.0-3.mga8
+ Revision: 1530712
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 19.0.0-2.mga8
+ Revision: 1437303
- rebuild for python3.8
- drop python2 support

* Thu Apr 11 2019 daviddavid <daviddavid> 19.0.0-1.mga7
+ Revision: 1388239
- new version: 19.0.0

* Sat Mar 16 2019 daviddavid <daviddavid> 18.0.0-1.mga7
+ Revision: 1377787
- new version: 18.0.0

* Sat Jan 05 2019 wally <wally> 17.3.0-6.mga7
+ Revision: 1349745
- another rebuild for python3.7

* Sat Jan 05 2019 wally <wally> 17.3.0-5.mga7
+ Revision: 1349580
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 17.3.0-4.mga7
+ Revision: 1288960
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 17.3.0-3.mga7
+ Revision: 1203511
- rename python-hyperlink to python2-hyperlink

* Sat Aug 05 2017 pterjan <pterjan> 17.3.0-2.mga7
+ Revision: 1135454
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 17.3.0-1.mga7
+ Revision: 1132247
- initial package python-hyperlink

